Skip to main content
GET
/
api
/
v1
/
status-pages
/
{id}
/
groups
List component groups with nested components
curl --request GET \
  --url https://api.devhelm.io/api/v1/status-pages/{id}/groups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "displayOrder": 123,
      "pageOrder": 123,
      "collapsed": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "components": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "type": "MONITOR",
          "currentStatus": "OPERATIONAL",
          "showUptime": true,
          "displayOrder": 123,
          "pageOrder": 123,
          "excludeFromOverall": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "description": "<string>",
          "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "startDate": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null